<template>
  <div>
    <LHeader :text="text"></LHeader>
    <van-form
      @submit="onSubmit"
      :show-error='false'
      :scroll-to-error="true"
      validate-trigger="onSubmit"
    >
      <van-field name="radio" label="风险确认信息">
        <template #input>
          <van-radio-group
            v-model="radio"
            direction="horizontal"
            @change="selectResult"
          >
            <van-radio name="1">同意</van-radio>
            <van-radio name="0">退回</van-radio>
          </van-radio-group>
        </template>
      </van-field>

      <!-- 同意时的选项 -->
      <div class="agree" v-if="radio == 1">
          <van-field
            v-model="agreeIdea"
            label="意见"
            name ="confirmOpinion"
            rows="3"
            type="textarea"
            placeholder="请输入"
            :rules="[{ required: true, message: '意见不能为空' }]"
        />
      </div>

      <!-- 退回是的选项 -->
      <div class="disagree" v-else>
        <van-field
          v-model="disagreeIdea"
          label="退回原因"
          name ="confirmOpinion"
          rows="3"
          type="textarea"
          placeholder="请输入"
          :rules="[{ required: true, message: '退回原因不能为空' }]"
        />
      </div>

      <div style="margin: 16px;">
        <van-button round block type="info" native-type="submit"
          >保存</van-button
        >
      </div>
    </van-form>
    <div style="margin:10px 16px 0px;padding-bottom:16px">
      <van-button round block type="warning" @click.native="cancel"
        >取消</van-button
      >
    </div>
  </div>
</template>

<script>
import LHeader from "@/components/header.vue";
import { postriskConAdd } from "@/service/risk";
export default {
  components: {
    LHeader
  },
  data() {
    return {
      taskId: "",
      radio: "1",
      text: "风险确认",
      agreeIdea:"", // 同意意见
      disagreeIdea: "", //退回意见

    };
  },
  created() {
    this.taskId = this.$route.params.taskId;
  },
  methods: {
    selectResult(val) {
      this.radio = val;
    },

    onSubmit(values) {
      console.log("submit", values);
      if (!this.taskId) {
        return;
      }
      let formdata = new FormData()
      formdata.append("confirmResult", values.radio)
      formdata.append("confirmOpinion", values.confirmOpinion)
      this.$toast.loading({
        message: "提交中...",
        forbidClick: true,
        loadingType: "spinner",
        duration: 0
      });
      postriskConAdd(`/riskConfirm/add/${this.taskId}`,formdata)
        .then(res => {
          this.$toast.clear();
          this.$toast.success({
            message: "提交成功",
            duration: 2000
          });
          history.go(-1);
        })
        .catch(() => {
          this.$toast.clear();
          this.$toast.fail("提交失败,请稍后再试");
        });
    },
    cancel() {
      this.$router.go(-1);
    },
  }
};
</script>
<style lang="less" scoped>
/* @import url(); 引入css类 */
</style>
